Skip to main content
GET
/
api
/
v1
/
projects
/
{projectId}
/
memberships
/
identities
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/projects/{projectId}/memberships/identities \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://us.infisical.com/api/v1/projects/{projectId}/memberships/identities"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://us.infisical.com/api/v1/projects/{projectId}/memberships/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "identityMemberships": [
    {
      "id": "<string>",
      "identityId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "roles": [
        {
          "id": "<string>",
          "role": "<string>",
          "isTemporary": true,
          "customRoleId": "<string>",
          "customRoleName": "<string>",
          "customRoleSlug": "<string>",
          "temporaryMode": "<string>",
          "temporaryRange": "<string>",
          "temporaryAccessStartTime": "2023-11-07T05:31:56Z",
          "temporaryAccessEndTime": "2023-11-07T05:31:56Z"
        }
      ],
      "identity": {
        "name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "authMethods": [
          "<string>"
        ],
        "activeLockoutAuthMethods": [
          "<string>"
        ],
        "projectId": "<string>"
      }
    }
  ],
  "totalCount": 123
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to list identity memberships from.

Query Parameters

offset
number
default:0

The offset to start from. If you enter 10, it will start from the 10th identity membership.

Required range: x >= 0
limit
number
default:20

The number of identity memberships to return.

Required range: 1 <= x <= 1000
identityName
string

The text string that identity membership names will be filtered by.

roles
string

The role slugs to filter identity memberships by.

Response

Default Response

identityMemberships
object[]
required
totalCount
number
required